wido commented on issue #2211: CLOUDSTACK-10013: Migrate systemvmtemplate to 
Debian9
URL: https://github.com/apache/cloudstack/pull/2211#issuecomment-320933747
 
 
   Ok! I will build a 4.10 cloud and try to build the systemVM. Currently stuck 
with Veewee though. Systemd should be doable, I have used it a lot and have a 
team of systemd people around me.
   
   <pre>
   wido@wido-laptop:~/repos/cloudstack/tools/appliance$ veewee vbox build 
systemvmtemplate
   /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require': 
cannot load such file -- net/scp (LoadError)
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from 
/var/lib/gems/2.3.0/gems/veewee-0.4.5.1/lib/veewee/provider/core/helper/ssh.rb:3:in
 `<top (required)>'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from 
/var/lib/gems/2.3.0/gems/veewee-0.4.5.1/lib/veewee/provider/core/box.rb:2:in 
`<top (required)>'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from 
/var/lib/gems/2.3.0/gems/veewee-0.4.5.1/lib/veewee/provider/virtualbox/box.rb:1:in
 `<top (required)>'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from 
/var/lib/gems/2.3.0/gems/veewee-0.4.5.1/lib/veewee/provider/virtualbox/provider.rb:2:in
 `<top (required)>'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from 
/var/lib/gems/2.3.0/gems/veewee-0.4.5.1/lib/veewee/providers.rb:14:in `[]'
        from 
/var/lib/gems/2.3.0/gems/veewee-0.4.5.1/lib/veewee/environment.rb:225:in 
`get_box'
        from 
/var/lib/gems/2.3.0/gems/veewee-0.4.5.1/lib/veewee/command/vbox.rb:22:in `build'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor/command.rb:27:in 
`run'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor/invocation.rb:126:in 
`invoke_command'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor.rb:369:in `dispatch'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor/invocation.rb:115:in 
`invoke'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor.rb:242:in `block in 
subcommand'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor/command.rb:27:in 
`run'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor/invocation.rb:126:in 
`invoke_command'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor.rb:369:in `dispatch'
        from /var/lib/gems/2.3.0/gems/thor-0.19.4/lib/thor/base.rb:444:in 
`start'
        from /var/lib/gems/2.3.0/gems/veewee-0.4.5.1/bin/veewee:24:in `<top 
(required)>'
        from /usr/local/bin/veewee:22:in `load'
        from /usr/local/bin/veewee:22:in `<main>'
   wido@wido-laptop:~/repos/cloudstack/tools/appliance$
   </pre>
 
----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
us...@infra.apache.org


With regards,
Apache Git Services

Reply via email to